<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en" dir="ltr">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <meta http-equiv="Content-Style-Type" content="text/css" />
		<meta name="generator" content="MediaWiki 1.15.5-1~bpo50+1" />
		<meta name="robots" content="noindex,nofollow" />
		<meta name="keywords" content="Keysigning" />
		<link rel="next" href="../../../../https%253A//debconf7.debconf.org/wiki/Keysigning/index.html" />
		<link rel="shortcut icon" href="../../../favicon.ico" />
		<link rel="search" type="application/opensearchdescription+xml" href="../../../opensearch_desc.php" title="DebConf7 (en)" />
		<link rel="alternate" type="application/rss+xml" title="DebConf7 RSS feed" href="" />
		<link rel="alternate" type="application/atom+xml" title="DebConf7 Atom feed" href="" />
    <title>View source - DebConf7</title>
    <style type="text/css" media="screen,projection">/*<![CDATA[*/ @import "../../../skins/debconf7/main.css"; /*]]>*/</style>
    <link rel="stylesheet" type="text/css" media="print" href="../../../skins/common/commonPrint.css" />
    <!--[if lt IE 5.5000]><style type="text/css">@import "../../../skins/debconf7/IE50Fixes.css";</style><![endif]-->
    <!--[if IE 5.5000]><style type="text/css">@import "../../../skins/debconf7/IE55Fixes.css";</style><![endif]-->
    <!--[if gte IE 6]><style type="text/css">@import "../../../skins/debconf7/IE60Fixes.css";</style><![endif]-->
    <!--[if IE]><script type="text/javascript" src="../../../skins/common/IEFixes.js"></script>
    <meta http-equiv="imagetoolbar" content="no" /><![endif]-->
    <script type="text/javascript" src=""></script>    <script type="text/javascript" src="../../../skins/common/wikibits.js"></script>
                  </head>
  
  
  <body                 >

<!--header-->
<div id="titleBar">
	<div id="title-content" style="background:url('http://media.debconf.org/dc7/logo-banner-split1.png') no-repeat;">
	  <img src="http://media.debconf.org/dc7/logo-banner-split2.png" alt="DebConf7: Edinburgh, Scotland, 17-23 June 2007">
        </div>
	<div id="title-two"></div>
</div>
<!--end header-->
    
    <div id="globalWrapper">
      
      <div id="column-content">
	<div id="content">
	  <a name="top" id="contentTop"></a>
	  	  <h1 class="firstHeading">View source</h1>
	  <div id="bodyContent">
	    <h3 id="siteSub">From DebConf7</h3>
	    <div id="contentSub">for <a href="../../../wiki/Keysigning/index.html" title="Keysigning">Keysigning</a></div>
	    	    	    <!-- start content -->
	    <p>You do not have permission to edit this page, for the following reason:
</p>
<div class="permissions-errors">The action you have requested is limited to users in the group: team.</div>
<p>You can view and copy the source of this page:
</p><textarea id="wpTextbox1" name="wpTextbox1" cols="80" rows="25" readonly="readonly">= Keysigning @ DebConf7 =

__NOTOC__

== Where? ==

As part of the 8th Debian Conference in [[Edinburgh]], [[Scotland]], there will be OpenPGP (pgp/gpg) keysignings.

== When? ==

[https://penta.debconf.org/~joerg/events/4.en.html On Tuesday 19 June at 19:30 in Hacklab 1].

== What is keysigning and why do it ==

A keysigning party or meeting is a get-together of at least two individuals who use the PGP encryption system with the purpose of allowing them to sign each others keys. Keysigning parties serve to extend the [[wikipedia:Web_of_trust|web of trust (WoT)]] to a great degree. A useful metric of the WoT is the mean shortest distance (MSD) of a key.

Please read chapters one and two of the [http://www.cryptnet.net/fdp/crypto/keysigning_party/en/keysigning_party.html GnuPG Keysigning Party HOWTO] (note: we are doing the party differently, so the other chapters do not apply completely).

== How will the keysigning happen? ==

The keysignings will be based on the [http://sion.quickie.net/keysigning.txt Efficient Group Key Signing Method] by Len Sassaman and Phil Zimmermann which is a protocol to do keysignings in a way that is faster than the way many people may be familiar with.

To reduce the time spent checking ID documents, each participant will be placed in one of 4 groups after all the keys have been received. The groups will be organized after computer simulations are run to (heuristically) optimize the MSD of all participants.

The keysigning steps follow.

* [[The deadline has now passed. If you haven't submitted your key yet, it's too late to get your key on the list. It's not, however, too late to participate altogether. Bring paper slips or business cards with your gpg fingerprint.]]

* Send your ascii armored, cleaned, minimized and clear-signed public key to dc2007@ksp.debconf.org not later than Saturday 9th of June, 2007 (UTC). Multiple keys per armor are just fine. The signature will prove the owner of the key controls its private key (or at least one of the private keys).

:: Please check that your version of gpg does support the export-clean option.

:: Please do not encrypt your email.
;: Please do not send attachments.
;: Please do not encode your email.

:: Example with two keys (0x1880283c and 0xc3f159ca):
;: ''gpg --armor --export-options export-clean,export-minimal --export 0x1880283c 0xc3f159ca &gt; publickeyblock''
;: Then clear-sign ''publickeyblock'' creating ''publickeyblock.asc'':
;: ''gpg --clearsign publickeyblock''
;: Then email ''publickeyblock.asc'' as so:
;: ''mail dc2007@ksp.debconf.org &lt; publickeyblock.asc''

:: Same example as a one-liner:
;: ''gpg --armor --export-options export-clean,export-minimal --export 0x1880283c 0xc3f159ca | gpg --clearsign | mail dc2007@ksp.debconf.org''

:: Another one-liner:
;: (echo -e &quot;To: dc2007@ksp.debconf.org\nFrom: Anibal Monsalve Salazar &lt;anibal@debian.org&gt;\nBcc: anibal@debian.org\nSubject: KeySigning Party @ Debconf7\n&quot;; gpg --armor --export-options export-clean,export-minimal --export 0x1880283c 0xc3f159ca | gpg --clearsign) | sendmail -t

* Your key will be processed automatically (at 7/27/47 minutes past the hour) and if the submitted key is valid, an email will be sent back to you with your submitted key and it will be listed at https://debconf7.debconf.org/~ksp/names.html. If you find an error write immediately to the keysigning coordinator.

:: At https://debconf7.debconf.org/~ksp/names.html, if you want your name linked to your photo, send an email to the keysigning coordinator.

:: Mark Purcell created the following graphs using sig2dot and springraph: [https://debconf7.debconf.org/~ksp/ksp-neato.png ksp-neato.png], [https://debconf7.debconf.org/~ksp/ksp-spring.png ksp-spring.png] and [https://debconf7.debconf.org/~ksp/ksp.png ksp.png].

* On Monday, 11th of June, 2007 you will be able to fetch the complete keyring  (ksp-dc7.asc.bz2) with all the keys that were submitted along with a text file  (ksp-dc7.txt) giving the fingerprint of each key on the ring.

:: At http://debconf7.debconf.org/~ksp/, or alternatively at http://people.debian.org/~anibal/ksp-dc7/ both the keyring and text files will have corresponding files with their SHA256 checksums. The SHA256 files will be signed with public key 0x1880283c, which can be downloaded from keyring.debian.org or db.debian.org.

:: To verify the signuture of the SHA256 files, download anibal's key from db.debian.org, e.g.:

:: ''finger anibal/key@db.debian.org | gpg --import''

:: And then run gpg with the verify option (using ksp-dc7.txt.sha256.asc as an example):

:: ''gpg --verify ksp-dc7.txt.sha256.asc''

* Verify that the fingerprint of your key in ksp-dc7.txt is correct. Also compute the SHA256 hash of ksp-dc7.txt. One way to do this is with sha256sum invoked as follows:

:: ''sha256sum ksp-dc7.txt''

* Bring to DebConf the hash you computed and a hardcopy of ksp-dc7.txt.

:: It is '''very important''' that you have verified at home the fingerprint of your key on the hardcopy.

:: It is also '''very important''' that you have computed the hash at home.

* The SHA256 hash of ksp-dc7.txt will be published on the notice board near the organizers' office. Verify that one of the hashes matches what you computed. This guarantees that all participants are working from the same list of keys.

* During DebConf, look for participants in your assigned group.

:: For each participant in your group:

:# Compare the hash you computed with the other participant (if you will attend the meeting on Tuesday 19 June at 19:30 in Hacklab 1, the hash will be recited loudly).
:# Ask if the other participant's gpg fingerprint on the hardcopy is correct.
:# Verify each other's identity by checking preferably a passport or, alternatively, some other form of government issued ID. Please don't show very old, doubtful or easy-to-fake documents as people will not sign your key if you do so.
:# If you are satisfied with the identification, mark on your hardcopy that the other participant's gpg fingerprint is correct and has been identified.

* Later that evening, or perhaps when you get home, you can sign the keys in ksp-dc7.txt which you were able to verify and identify.

:: Please use Peter Palfrader's [http://pgp-tools.alioth.debian.org/ pgp-tools] to sign keys using caff, one of the scripts of pgp-tools. The scripts are also available as the debian package [http://packages.debian.org/signing-party signing-party].

== Downloads ==

* [https://debconf7.debconf.org/~ksp/ksp-dc7.txt ksp-dc7.txt] - List of participants (text file).

* [https://debconf7.debconf.org/~ksp/ksp-dc7.asc.bz2 ksp-dc7.asc.bz2] - Participating keys (keyring).

== Summary ==

What to bring with you

* A printout of ksp-dc7.txt; check that your fingerprint is correct.

* A pen.

* The SHA256 hash you made of ksp-dc7.txt so that we can ensure we are all working with the same copy.

* Some form of government issued ID (passport or similar).

* If this is your first keysigning, a copy of this web page and linked documents might be useful.

== Questions ==

If you have questions please ask [http://v7w.com/anibal/anibal-small.jpg Anibal Monsalve Salazar] during DebConf or email anibal@debian.org.

The IRC channel to post your keysigning questions is #debconf-ksp at irc.debian.org.

== Thanks ==

Special thanks goes to Benjamin Mako Hill who provided the scripts and text used at Debconf4, Peter Palfrader who provided the scripts and text used at Debconf3 and LinuxTag (2003 and 2004) whose reuse made putting together this keysigning easy and possible.</textarea><div class='templatesUsed'>

</div>
<p>Return to <a href="../../../wiki/Keysigning/index.html" title="Keysigning">Keysigning</a>.</p>
<div class="printfooter">
Retrieved from "<a href="../../../../https%253A//debconf7.debconf.org/wiki/Keysigning/index.html">https://debconf7.debconf.org/wiki/Keysigning</a>"</div>
	    	    <!-- end content -->
	    <div class="visualClear"></div>
	  </div>
	</div>
      </div>

      <div id="column-one">
	<!--navigation-->
	<div class="portlet" id="p-logo">
	  <a style="background-image: url(../../../skins/common/images/bg_logo.png);"
	    href="../../../wiki/Main_Page/index.html"
	    title="Main Page"></a>
	</div>
	<script type="text/javascript"> if (window.isMSIE55) fixalpha(); </script>
		<div class='portlet' id='p-navigation'>
	  <h5>Navigation</h5>
	  <div class='pBody'>
	    <ul>
	    	      <li id="n-mainpage"><a href="../../../wiki/Main_Page/index.html">Main Page</a></li>
	     	      <li id="n-Press"><a href="../../../wiki/Press/index.html">Press</a></li>
	     	      <li id="n-recentchanges"><a href="">Recent changes</a></li>
	     	      <li id="n-randompage"><a href="">Random page</a></li>
	     	      <li id="n-Sponsorship"><a href="../../../wiki/DebConf7%253ASite_support/index.html">Sponsorship</a></li>
	     	      <li id="n-Interwiki-linking"><a href="http://wiki.debconf.org/wiki/Interwiki">Interwiki linking</a></li>
	     	    </ul>
	  </div>
	</div>
		
	<!--search box-->
	<div id="p-search" class="portlet">
	  <h5><label for="searchInput">Search</label></h5>
	  <div class="pBody">
	    <form name="searchform" action="" id="searchform">
	      <input id="searchInput" name="search" type="text"
	        accesskey="f" value="" />
	      <input type='submit' name="go" class="searchButton" id="searchGoButton"
	        value="Go"
	        />&nbsp;<input type='submit' name="fulltext"
	        class="searchButton"
	        value="Search" />
	    </form>
	  </div>
	</div>
	
	<!--personal tools-->
	<div class="portlet" id="p-personal">
	  <h5>Personal tools</h5>
	  <div class="pBody">
	    <ul>
	    <li id="pt-login"><a href="">Log in / create account</a></li>	    </ul>
	  </div>
	</div>
	
	
	<!--views-->
	<div id="p-cactions" class="portlet">
	  <h5>Views</h5>
	  <ul>
	    <li id="ca-nstab-main"
	       class="selected"	       ><a href="../../../wiki/Keysigning/index.html">Page</a></li><li id="ca-talk"
	       class="new"	       ><a href="../Talk%253AKeysigning%253Fredlink%253D1/index.html">Discussion</a></li><li id="ca-viewsource"
	       class="selected"	       ><a href="">View source</a></li><li id="ca-history"
	       	       ><a href="../../history/Keysigning/index.html">History</a></li>	  </ul>
	</div>
	
	<!--toolbox-->
	<div class="portlet" id="p-tb">
	  <h5>Toolbox</h5>
	  <div class="pBody">
	    <ul>
		  		  <li id="t-whatlinkshere"><a href="">What links here</a></li>
		  		  <li id="t-recentchangeslinked"><a href="">Related changes</a></li>
		                	      	      	      	      	      	      	      	      	      <li id="t-specialpages"><a href="">Special pages</a></li>	      	      	    </ul>
	  </div>
	</div>
	      </div><!-- end of the left (by default at least) column -->
      
      <div id="column-two">
       <div class="portlet" id="p-sponsors">
        <h5>Sponsors</h5>
	<br />
	
        <!--Add automatically all the logos from the logo dir.-->
        <a href='http://www.hp.com'><img src='../../../mediawiki/skins/debconf7/logos/10_www.hp.com.png' alt='Sponsor Logo going to www.hp.com'/></a><br />
<br /><br />
<a href='http://www.nokia.com'><img src='../../../mediawiki/skins/debconf7/logos/15_www.nokia.com.gif' alt='Sponsor Logo going to www.nokia.com'/></a><br />
<br /><br />
<a href='http://Www.google.com'><img src='../../../mediawiki/skins/debconf7/logos/20_Www.google.com.png' alt='Sponsor Logo going to Www.google.com'/></a><br />
<br /><br />
<a href='http://www.positive-internet.com'><img src='../../../mediawiki/skins/debconf7/logos/20_www.positive-internet.com.jpg' alt='Sponsor Logo going to www.positive-internet.com'/></a><br />
<br /><br />
<a href='http://www.opensourcepress.de'><img src='../../../mediawiki/skins/debconf7/logos/50_www.opensourcepress.de.png' alt='Sponsor Logo going to www.opensourcepress.de'/></a><br />
<br /><br />
<a href='http://www.collabora.co.uk'><img src='../../../mediawiki/skins/debconf7/logos/52_www.collabora.co.uk.png' alt='Sponsor Logo going to www.collabora.co.uk'/></a><br />
<br /><br />
<a href='http://www.linux-magazine.co.uk'><img src='../../../mediawiki/skins/debconf7/logos/53_www.linux-magazine.co.uk.png' alt='Sponsor Logo going to www.linux-magazine.co.uk'/></a><br />
<a href='http://www.linux-magazin.de'>Germany</a>,
<a href='http://www.linux-magazine.es'>Spain</a>,<br />
<a href='http://www.linux-magazine.pl'>Poland</a>,
<a href='http://www.linux-magazine.com.br'>Brazil</a>
<br /><br />
<a href='http://www.trolltech.com'><img src='../../../mediawiki/skins/debconf7/logos/55_www.trolltech.com.png' alt='Sponsor Logo going to www.trolltech.com'/></a><br />
<br /><br />
<a href='http://www.thomas-krenn.com'><img src='../../../mediawiki/skins/debconf7/logos/56_www.thomas-krenn.com.png' alt='Sponsor Logo going to www.thomas-krenn.com'/></a><br />
<br /><br />
<a href='http://www.sun.com'><img src='../../../mediawiki/skins/debconf7/logos/57_www.sun.com.png' alt='Sponsor Logo going to www.sun.com'/></a><br />
<br /><br />
<a href='http://www.amd.com'><img src='../../../mediawiki/skins/debconf7/logos/58_www.amd.com.jpg' alt='Sponsor Logo going to www.amd.com'/></a><br />
<br /><br />
<a href='http://www.oreilly.co.uk'><img src='../../../mediawiki/skins/debconf7/logos/60_www.oreilly.co.uk.png' alt='Sponsor Logo going to www.oreilly.co.uk'/></a><br />
<br /><br />
<a href='http://www.ubuntu.com'><img src='../../../mediawiki/skins/debconf7/logos/60_www.ubuntu.com.png' alt='Sponsor Logo going to www.ubuntu.com'/></a><br />
<br /><br />
<a href='http://ukfsn.org'><img src='../../../mediawiki/skins/debconf7/logos/612_ukfsn.txt' alt='Sponsor Logo going to ukfsn.org'/></a><br />
<br /><br />
<a href='http://www.contextshift.co.uk'><img src='../../../mediawiki/skins/debconf7/logos/615_www.contextshift.co.uk.png' alt='Sponsor Logo going to www.contextshift.co.uk'/></a><br />
<br /><br />
<a href='http://Www.bytemark.co.uk/r/debian'><img src='../../../mediawiki/skins/debconf7/logos/62_Www.bytemark.co.uk_r_debian.png' alt='Sponsor Logo going to Www.bytemark.co.uk/r/debian'/></a><br />
<br /><br />
<a href='http://www.spotify.com'><img src='../../../mediawiki/skins/debconf7/logos/65_www.spotify.com.png' alt='Sponsor Logo going to www.spotify.com'/></a><br />
<br /><br />
<a href='http://Www.blackcatnetworks.co.uk'><img src='../../../mediawiki/skins/debconf7/logos/70_Www.blackcatnetworks.co.uk.png' alt='Sponsor Logo going to Www.blackcatnetworks.co.uk'/></a><br />
<br /><br />
<a href='http://Www.gandi.net'><img src='../../../mediawiki/skins/debconf7/logos/70_Www.gandi.net.png' alt='Sponsor Logo going to Www.gandi.net'/></a><br />
<br /><br />
<a href='http://Www.sapotek.com'><img src='../../../mediawiki/skins/debconf7/logos/70_Www.sapotek.com.jpg' alt='Sponsor Logo going to Www.sapotek.com'/></a><br />
<br /><br />
<a href='http://www.freifunk.net'><img src='../../../mediawiki/skins/debconf7/logos/70_www.freifunk.net.png' alt='Sponsor Logo going to www.freifunk.net'/></a><br />
<br /><br />
<a href='http://www.hands.com'><img src='../../../mediawiki/skins/debconf7/logos/70_www.hands.com.png' alt='Sponsor Logo going to www.hands.com'/></a><br />
<br /><br />
<a href='http://www.man-da.de'><img src='../../../mediawiki/skins/debconf7/logos/70_www.man-da.de.png' alt='Sponsor Logo going to www.man-da.de'/></a><br />
<br /><br />
<a href='http://www.solarflare.com'><img src='../../../mediawiki/skins/debconf7/logos/70_www.solarflare.com.png' alt='Sponsor Logo going to www.solarflare.com'/></a><br />
<br /><br />
<a href='http://www.lpi.org'><img src='../../../mediawiki/skins/debconf7/logos/71_www.lpi.org.png' alt='Sponsor Logo going to www.lpi.org'/></a><br />
<br /><br />
<a href='http://www.pse.siemens.at/apps/sis/en/pseinternet.nsf/'><img src='../../../mediawiki/skins/debconf7/logos/80_www.pse.siemens.at_apps_sis_en_pseinternet.nsf_.png' alt='Sponsor Logo going to www.pse.siemens.at/apps/sis/en/pseinternet.nsf/'/></a><br />
<br /><br />
<a href='http://www.siriusit.co.uk'><img src='../../../mediawiki/skins/debconf7/logos/85_www.siriusit.co.uk.png' alt='Sponsor Logo going to www.siriusit.co.uk'/></a><br />
<br /><br />
<a href='http://www.credativ.co.uk'><img src='../../../mediawiki/skins/debconf7/logos/90_www.credativ.co.uk.png' alt='Sponsor Logo going to www.credativ.co.uk'/></a><br />
<br /><br />
<a href='http://www.mysql.com'><img src='../../../mediawiki/skins/debconf7/logos/90_www.mysql.com.png' alt='Sponsor Logo going to www.mysql.com'/></a><br />
<br /><br />
<a href='http://www.univention.de'><img src='../../../mediawiki/skins/debconf7/logos/90_www.univention.de.jpg' alt='Sponsor Logo going to www.univention.de'/></a><br />
<br /><br />
 

       </div>
      </div>
	
      <div class="visualClear"></div>
      <div id="footer">
		<table width = "100%">
			<tr><td width="5%" align="left" nowrap='nowrap'></td>
				<td align="center">
	   	  	  	  	  	  <a href="../../../wiki/DebConf7%253AGeneral_disclaimer/index.html" title="DebConf7:General disclaimer">Disclaimers</a> - 	  <a href="../../../wiki/DebConf7%253AAbout/index.html" title="DebConf7:About">About DebConf7</a>	</td>
			<td width="5%" align="right" nowrap='nowrap'><div id="f-poweredbyico"><a href="http://www.mediawiki.org/"><img src="../../../skins/common/images/poweredby_mediawiki_88x31.png" alt="Powered by MediaWiki" /></a></div></td></tr></table>
      </div>
    </div>
    <!-- Served in 0.132 secs. -->  </body>
</html>
